{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" type="text/css" href="{% static 'custom/semantic.min.css' %}">
    <link href="https://cdn.jsdelivr.net/gh/rastikerdar/vazirmatn@v33.003/Vazirmatn-font-face.css" rel="stylesheet"
          type="text/css"/>
    <style>
        .content {
            padding-bottom: 24px;
        }

        body, .ui {
            font-family: Vazirmatn, sans-serif !important;
            direction: rtl;
        }

        body {
            padding: 32px;
            column-gap: 12px;
            background-color: #f4f6f8;
        }

        .sidebar {
            width: 15%;
            background-color: white;
            border-radius: 5px;
            padding: 0 16px;
            height: fit-content;
            box-shadow: 0 0 0 1px rgb(63 63 68 / 5%), 0 1px 3px 0 rgb(63 63 68 / 15%);
            display: flex;
            flex-direction: column;
        }

        .sidebar-item {
            padding: 16px 0;
            color: black;
        }

        .sidebar-item:first-child {
            border-bottom: 1px solid rgba(225, 227, 229, 1);
        }

        .sidebar-item.logout {
            border-top: 1px solid rgba(225, 227, 229, 1);
        }

        .sidebar-item.user {
            display: flex;
            align-items: center;
            column-gap: 8px;
        }

        .body-container {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
        }

        .body-header {
            text-align: center;
            margin-bottom: 20px;
            font-size: 24px;
        }

        .m-avatar > img {
            width: 40px;
            height: 40px;
            border-radius: 50%;
        }

        .m-primary-button {
            background-color: rgba(0, 128, 96, 1) !important;
            color: white !important;
        }

        .m-description > span {
            color: #b2b2b2;
        }

        .m-message {
            padding: 8px;
        }

        .m-card {
            padding: 20px;
            background-color: white;
            border-radius: 5px;
            margin-top: 8px;
            box-shadow: 0 0 0 1px rgb(63 63 68 / 5%), 0 1px 3px 0 rgb(63 63 68 / 15%);
        }

        .m-error {
            text-align: right;
            margin: 10px 0;
            border: 1px solid red;
            border-radius: 5px;
            padding: 8px;
            background-color: rgb(255 0 0 / 10%);
        }
    </style>
    <script src="/static/admin/js/vendor/jquery/jquery.js" crossorigin="anonymous"></script>
    <script src="{% static 'custom/semantic.min.js' %}"></script>
    <style>
        body > .grid {
            height: 100%;
        }

        .image {
            margin-top: -100px;
        }

        .column {
            max-width: 450px;
        }
    </style>
    <!-- Start of HubSpot Embed Code -->
    <script type="text/javascript" id="hs-script-loader" async defer src="//js-na1.hs-scripts.com/22450842.js"></script>
    <!-- End of HubSpot Embed Code -->
    <meta charset="UTF-8">
    {% block header %}{% endblock header %}
    <title>{% block title %}{% endblock title %}</title>
</head>
<body style="display: flex; direction: rtl;">
<div class="sidebar">
    {% if user.is_authenticated %}
        <a class="sidebar-item user" href="/account/{{ user.id }}/">
            <div class="m-avatar">
                <img src="/media/{{ user.avatar }}" alt="avatar"/>
            </div>
            {{ user.first_name }} {{ user.last_name }}
            {% if user.is_expert %}
                <br/>
                اعتبار:
                {{ user.expert.balance }}ریال
            {% endif %}
        </a>
        <a class="sidebar-item" href="/order/list/">سفارشات</a>
        <a class="sidebar-item" href="/order/done_orders/">تاریخچه سفارشات</a>
        <a class="sidebar-item" href="/account/profile/">تغییر پروفایل</a>
        {% if user.is_expert %}
            <a class="sidebar-item" href="/expert/skills/">تخصص‌ها</a>
        {% endif %}
        <a class="sidebar-item" href="https://share.hsforms.com/1kT0N_x2bSKqpcMYBQDKzmgdd76i">پشتیبانی</a>
        <a class="sidebar-item logout" href="/account/logout/">خروج</a>
    {% else %}
        <a class="sidebar-item" href="/account/signin/">ورود</a>
        <a class="sidebar-item" href="/account/signup/">ثبت‌نام</a>
    {% endif %}
</div>
<div class="body-container">
    <div class="body-header">
        <span>
            {% block body_title %}{% endblock body_title %}
        </span>
    </div>
    <div class="content">
        {% block content %}{% endblock content %}
    </div>
</div>
</body>
</html>
